/* Page CSS */
*{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family:'Courier New', Courier, monospace;
    color: #0d1d3f;
}

/* Navbar Section CSS */
.navbar{
    background: #0d1d3f;
    background-image: linear-gradient(to top, #101a31  0%, #1b6077 90%);
    height: 80px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 1.2rem;
    position: sticky;
    top: 0;
    z-index: 1000;
}

.navbar__container{
    display: flex;
    justify-content: space-between;
    height: 80px;
    z-index: 1;
    width: 100%;
    max-width: 1300px;
    margin: 0 auto;
    padding: 0 50px;
}

#navbar__logo{
    background-color: #bdfbff;
    background-image: linear-gradient(to top, #a796d6 10%, #59adb3 100%);
    background-size: 100%;
    clip:text;
    background-clip:text;
    -webkit-background-clip: text;
    -moz-background-clip:text;
    -webkit-text-fill-color: transparent;
    -moz-text-fill-color:transparent;
    display: flex;
    align-items: center;
    cursor: pointer;
    text-decoration: none;
    font-size: 2rem;
    margin: 1rem;
}
.ak_logo{
    position: relative;
    align-items: center;
    margin: 2rem;
}

.navbar__menu{
    display: flex;
    align-items: center;
    list-style: none;
    text-align: center;
}

.navbar__item{
    height: 80px;
}

.navbar__links{
    color: #bde1ff;
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    padding: 0 1rem;
    height: 100%;
}

.navbar__btn{
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0 1rem;
    width: 100%;
}

.button{
    display: flex;
    justify-content: center;
    align-items: center;
    text-decoration: none;
    padding: 10px 20px;
    height: 100%;
    width: 100%;
    border: none;
    outline: none;
    border-radius: 4px;
    background-color: hsl(175, 100%, 85%);
    color: #0d1d3f;
}

.button:hover{
    background-color: #c5acff;
    transition: all 0.45s ease-in-out;
}

.navbar__links:hover{
    color: #c5acff;
    transition: all 0.35s ease-in-out
}

@media screen and (max-width: 900px){
    .navbar__container{
        display: flex;
        justify-content: space-between;
        height: 80px;
        z-index: 1;
        width: 100%;
        max-width: 1300px;
        padding: 0 0px;
    }

    .navbar__menu {
        display: grid;
        grid-template-columns: auto;
        margin: 0;
        width: 100%;
        position: absolute;
        top: -1000px;
        opacity: 0;
        transition: all 0.5s ease;
        height: 50vh;
        z-index:-1;
        background: #0d1d3f;
    }

    .navbar__menu.active{
        background: #0d1d3f;
        top: 100%;
        opacity: 1;
        transition: all 0.5s ease;
        z-index: 99;
        height: 50vh;
        font-size: 1.6rem;
    }

    #navbar__logo{
        padding-left: 25px;
    }

    .navbar__toggle .bar{
        width: 25px;
        height: 3px;
        margin: 5px auto;
        transition: all 0.3s ease-in-out;
        background: #ffffff;
        cursor: pointer;
    }

    .navbar__item{
        width: 100%;
    }

    .navbar__links{
        text-align: center;
        padding: 2rem;
        width: 100%;
        display: table;
    }

    #mobile-menu{
        position: absolute;
        top: 20%;
        right: 5%;
        transform: translate(5%, 20%);
    }

    .navbar__btn{
        padding-bottom: 2rem;
    }

    .button{
        display: flex;
        justify-content: center;
        align-items: center;
        width: 80%;
        height: 80px;
        margin: 0;
    }

    .navbar__toggle .bar{
        display: block;
        cursor: pointer;
    }

    #mobile-menu.is-active .bar:nth-child(2){
        opacity: 0;
    }
    #mobile-menu.is-active .bar:nth-child(1){
        transform: translateY(8px) rotate(45deg);
    }
    #mobile-menu.is-active .bar:nth-child(3){
        transform: translateY(-8px) rotate(-45deg);
    }
}
@media screen and (max-width: 480px){
    .navbar__title{
        visibility: hidden;
    }
}


/* Hero Section CSS */
.main{
    background-color: #091635;
}

.main__container{
    display: grid;
    grid-template-columns: 1fr 1fr;
    align-items: center;
    justify-self: center;
    margin: 0 auto;
    min-height: 300px;
    height: 60vmin;
    background-color: #091635;
    z-index: 1;
    width: 100%;
    max-width: 1600px;
    padding: 0 50px;
}

.main__content h1{
    font-family:"Montserrat",'Courier New', Courier, monospace;
    font-size: 3.5rem;
    font-weight:700;
    font-style:normal;
    background-color:  #b44c6c;
    background-image: linear-gradient(to top, #ce3361 0%, #ff4d4d 100%);
    background-size: 100%;
    clip:text;
    background-clip:text;
    -webkit-background-clip: text;
    -moz-background-clip: text;
    -webkit-text-fill-color: transparent;
    -moz-text-fill-color:transparent;
}

.main__content h2{
    font-size: 4rem;
    background-color:  #b44c6c;
    background-image: linear-gradient(to top, #a04dff 0%,#4e4cb4 100%);
    background-size: 100%;
    clip:text;
    background-clip:text;
    -webkit-background-clip: text;
    -moz-background-clip: text;
    -webkit-text-fill-color: transparent;
    -moz-text-fill-color:transparent;
}

.main__content p{
    color: #bde1ff;
    margin-top: 1rem;
    font-size:  2rem;
    font-weight: 700;
}

.main__btn{
    font-size: 1rem;
    background-image:linear-gradient(to top, #a04dff 0%,#4e4cb4 100%);
    padding: 14px 32px;
    border: none;
    border-radius:  4px;
    color: #ffffff;
    margin-top: 2rem;
    cursor: pointer;
    position: relative;
    transition: all 0.35s;
    outline: none;
}

.main__btn a{
    position: relative;
    z-index: 2;
    color: #ffffff;
    text-decoration: none;
    font-weight: 600;
}

.main__btn:after {
    position: absolute;
    content: '';
    top:0;
    left:0;
    width: 0;
    height: 100%;
    background: #b44c6c;
    transition: all 0.35s;
    border-radius: 4px;
}

.main__btn:hover{
    color: #ffffff;
}
.main__btn:hover:after{
    width: 100%;
}
.main__img--container{
    text-align: center;

}

#main__img{
    height: 70%;
    width: 70%;
}

/* Mobile Responsive Main */
@media screen and (max-width: 1294px) {
    .main__container{
        display: grid;
        grid-template-columns: 1fr 1fr;
        align-items: center;
        justify-self: center;
        margin: 0 auto;
        min-height: 300px;
        height: 60vh;
        background-color: #091635;
        z-index: 1;
        width: 100%;
        padding: 0 50px;
    }
    
    .main__content h1{
        font-family:"Montserrat",'Courier New', Courier, monospace;
        font-size: 3rem;
        font-weight:00;
        font-style:normal;
        background-color:  #b44c6c;
        background-image: linear-gradient(to top, #ce3361 0%, #ff4d4d 100%);
        background-size: 100%;
        clip:text;
        background-clip:text;
        -webkit-background-clip: text;
        -moz-background-clip: text;
        -webkit-text-fill-color: transparent;
        -moz-text-fill-color:transparent;
    }
    
    .main__content h2{
        font-size: 3rem;
        background-color:  #b44c6c;
        background-image: linear-gradient(to top, #a04dff 0%,#4e4cb4 100%);
        background-size: 100%;
        clip:text;
        background-clip:text;
        -webkit-background-clip: text;
        -moz-background-clip: text;
        -webkit-text-fill-color: transparent;
        -moz-text-fill-color:transparent;
    }
    
    .main__content p{
        color: #bde1ff;
        margin-top: 0.75rem;
        font-size:  1.5rem;
        font-weight: 600;
    }
}
@media screen and (max-width: 900px) {
    .main__container{
        display: grid;
        grid-template-columns: auto;
        align-items: center;
        justify-self: center;
        width: 100%;
        margin: 0 auto;
        padding-bottom: 2rem;
        height: 100%;
    }

    .main__content{
        text-align: center;
        margin-bottom: 4rem;
    }

    .main__content h1{
        font-size: 3rem;
    }
    .main__content h2{
        font-size: 2.5rem;
        margin-top: 2rem;
    }
    .main__content p{
        font-size: 1rem;
        font-size: 1.5rem;
    }
    #main__img{
        height: 60%;
        width: 60%;
    }
}
@media screen and(max-width: 480px){
    .main__container{
        display: grid;
        grid-template-columns:min-content;
        align-items: center;
        justify-self: center;
        width: 100%;
        margin: 10%;
        padding-bottom: 2rem;
        height: 80%;
    }

    .main__content{
        align-self: center;
        align-items: center;
        text-align: center;
        margin: 0%;
    }
    .main__content h1{
        font-size: 1rem;
    }
    .main__content h2{
        font-size: 1rem;
        margin-top: 2rem;
    }
    .main__content p{
        font-size: 1rem;
        font-size: 0.75rem;
    }
    .main__btn{
        padding: 6px 18px;
        margin: 1.25rem 0;
    }
    #main__img{
        height: 20%;
        width: 20%;
    }
}

/* About Section */
.about{
    background:#290935;
    display: flex;
    flex-direction: column;
    align-items: center;
    min-height: 750px;
    height: 100vh;
}

.about h1{
    background-color: #ff4d4d;
    background-image: linear-gradient(to right, 
    #ce3361 0%,
    #ce5742 50%, 
    #ff4d4d 100%);
    background-size: 100%;
    margin-bottom: 5rem;
    margin-top: 3rem;
    font-size: 3rem;
    clip:text;
    background-clip:text;
    -webkit-background-clip: text;
    -moz-background-clip: text;
    -webkit-text-fill-color: transparent;
    -moz-text-fill-color:transparent;
}

.about__container{
    display:flex;
    justify-content: center;
    flex-wrap: wrap;
}

.about__card:nth-child(1){
    margin: 1rem;
    height: 525px;
    width: 400px;
    border-radius: 12px;
    background-image: linear-gradient(
        to bottom,
        rgba(0,0,0,0) 0%,
        rgba(17,17,17,0.6) 100%
        ), url('images/code.jpg');
    background-size:cover;
    position: relative;
    color: #fff;
}

.about__card:nth-child(2){
    margin: 1rem;
    height: 525px;
    width: 400px;
    border-radius: 12px;
    background-image: linear-gradient(
        to bottom,
        rgba(0,0,0,0) 0%,
        rgba(17,17,17,0.6) 100%
        ),
        url('images/design.jpg');
    background-size:cover;
    position: relative;
    color: #fff;
}
.about__card:nth-child(3){
    margin: 1rem;
    height: 525px;
    width: 400px;
    border-radius: 12px;
    background-image: linear-gradient(
        to bottom,
        rgba(0,0,0,0) 0%,
        rgba(17,17,17,0.6) 100%
        ),
        url('images/game.jpg');
    background-size:cover;
    position: relative;
    color: #fff;
}

.about h2{
    position: absolute;
    bottom: 100px;
    left: 30px;
    color: #bdfbff;
}

.about__card p{
    position: absolute;
    bottom: 20px;
    left: 30px;
    color: #bde1ff;
}

.about__card:hover{
    transform:scale(1.075);
    transition: 0.2s ease-in-out;
}
@media screen and (max-width: 1294px){
    .about{
        height:1250px;
    }
    .about__card{
        width:300px;
    }
    .about h1{
        font-size: 2rem;
        margin: 2rem;
    }
}
@media screen and (max-width: 863px){
    .about{
        height:1800px;
    }
    .about__card{
        width:300px;
    }
    .about h1{
        font-size: 2rem;
        margin: 2rem;
    }
}
@media screen and (max-width: 480px){
    .about{
        height:190vh;
    }

    .about h1{
        font-size: 2rem;
        margin-top: 3rem;
    }
    .about__card{
        width:300px;
    }
    .about__card:nth-child(1){
        height: 50vh;
        width: 80vw;
    }
    .about__card:nth-child(2){
        height: 50vh;
        width: 80vw;
    }
    .about__card:nth-child(3){
        height: 50vh;
        width: 80vw;
    }
    .about h2{
        font-size:large;
        position: absolute;
        top: 30px;
        margin: 0 15 15 0;
        color: #bdfbff;
    }
    
    .about__card p{
        font-size:small;
        position: absolute;
        bottom: 30px;
        margin: 0px 10px 10px 0px;
        color: #bde1ff;
    }
}

/* Projects Section */
.projects{
    background:#091635;
    display: flex;
    flex-direction: column;
    align-items: center;
    min-height: 750px;
    height: 100vh;
}

.projects h1{
    background-color: #4e4cb4;
    background-image: linear-gradient(to right, 
    #a04dff 0%,
    #ce3361 40%, 
    #4e4cb4 100%);
    background-size: 100%;
    margin-bottom: 5rem;
    margin-top: 3rem;
    font-size: 3rem;
    clip:text;
    background-clip:text;
    -webkit-background-clip: text;
    -moz-background-clip: text;
    -webkit-text-fill-color: transparent;
    -moz-text-fill-color:transparent;
}

.projects__container{
    display:flex;
    justify-content: center;
    flex-wrap: wrap;
}

.projects a{
    cursor: pointer;
}

.project__card:nth-child(1){
    margin: 1rem;
    height: 525px;
    width: 400px;
    border-radius: 12px;
    background-image: linear-gradient(
        to bottom,
        rgba(0,0,0,0) 0%,
        rgba(17, 17, 17, 0.6) 100%
        ), url('images/Jaquizzy_Logo.jpg');
    background-size:cover;
    position: relative;
    color: #fff;
}

.project__card:nth-child(2){
    margin: 1rem;
    height: 525px;
    width: 400px;
    border-radius: 12px;
    background-image: linear-gradient(
        to bottom,
        rgba(0,0,0,0) 0%,
        rgba(17,17,17,0.6) 100%
        ),
        url('images/Sigma_FP.jpg');
    background-size:cover;
    position: relative;
    color: #fff;
}
.project__card:nth-child(3){
    margin: 1rem;
    height: 525px;
    width: 400px;
    border-radius: 12px;
    background-image: linear-gradient(
        to bottom,
        rgba(0,0,0,0) 0%,
        rgba(17,17,17,0.6) 100%
        ),
        url('images/StormySeas.jpg');
    background-size:cover;
    position: relative;
    color: #fff;
}

.projects h2{
    position: absolute;
    bottom: 130px;
    left: 30px;
    color: #bdfbff;
}

.project__card p{
    position: absolute;
    bottom: 25px;
    left: 30px;
    color: #bde1ff;
}

.project__card:hover{
    transform:scale(1.075);
    transition: 0.2s ease-in-out;
}

@media screen and (max-width: 1294px){
    .projects{
        height:1250px;
    }
    .project__card{
        position: relative;
        width:300px;
    }
    .projects h1{
        font-size: 2rem;
        margin: 2rem;
    }
}
@media screen and (max-width: 863px){
    .projects{
        height:1800px;
    }
    .project__card{
        width:300px;
    }
    .projects h1{
        font-size: 2rem;
        margin: 2rem;
    }
}
@media screen and (max-width: 480px){
    .projects{
        height:190vh;
    }

    .projects h1{
        font-size: 2rem;
        margin-top: 3rem;
    }
    .project__card{
        width:300px;
    }
    .project__card:nth-child(1){
        height: 50vh;
        width: 80vw;
    }
    .project__card:nth-child(2){
        height: 50vh;
        width: 80vw;
    }
    .project__card:nth-child(3){
        height: 50vh;
        width: 80vw;
    }
    .projects h2{
        font-size:large;
        position: absolute;
        top: 30px;
        margin: 0 15 15 0;
        color: #bdfbff;
    }
    
    .project__card p{
        font-size:small;
        position: absolute;
        bottom: 30px;
        margin: 0px 10px 10px 0px;
        color: #bde1ff;
    }
}

/* Footer Section */
.footer__container{
    background:#290935;
    display: flex;
    flex-direction: column;
    align-items: center;
    min-height: 160px;
}

.footer__links{
    height: max-content;
    padding: 1.5rem;
    padding-bottom: 2rem;
    display: flex;
    justify-content: center;
    align-self: center;
    align-items: stretch;
    flex-wrap: wrap;
    position: relative;
}

.footer__link--items{
    padding: 2.5rem;
}

.footer__links--items:nth-child(0){
    position:relative;
    justify-content: space-around;
}
.footer__links--items:nth-child(1){
    position:relative;
    justify-content: space-around;
}
.footer__links--items:nth-child(2){
    position:relative;
    justify-content: space-around;
}
.footer__spacer{
    width: 4rem;
}

.footer__container h2{
    color: #bdfbff;
    align-content: space-around;
    text-align: center;
}

.footer__container a{
    color: #bdfbff;
    align-content: space-around;
    text-align: center;
}

@media screen and (max-width: 1315px){
    .footer__container{
        height:max-content;
    }
    .project__card{
        position: relative;
        width:300px;
    }
    .projects h1{
        font-size: 2rem;
        margin: 2rem;
    }
}
@media screen and (max-width: 883px){
    .footer__container{
        height:max-content;
    }
    .project__card{
        width:300px;
    }
    .projects h1{
        font-size: 2rem;
        margin: 2rem;
    }
}
@media screen and (max-width: 480px){
    .footer__container{
        height:max-content;
    }

    .projects h1{
        font-size: 1.2rem;
        margin-top: 3rem;
    }
    .project__card{
        width:300px;
    }
}

